diff --git a/fedora-asahi-remix-release.spec b/fedora-asahi-remix-release.spec
index 0e15a7c..6a5a791 100644
--- a/fedora-asahi-remix-release.spec
+++ b/fedora-asahi-remix-release.spec
@@ -1464,6 +1633,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-cosmic < 1:%{version}-%{release}
+Provides:       fedora-release-cosmic = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-cosmic if nothing else is already doing so.
@@ -1483,6 +1655,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-cosmic = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-cosmic < 1:%{version}-%{release}
+Provides:       fedora-release-identity-cosmic = 1:%{version}-%{release}
+
 
 %description identity-cosmic
 Provides the necessary files for a Fedora Asahi Remix installation that is identifying
@@ -1502,6 +1677,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Requires:       fedora-asahi-remix-release-ostree-desktop = %{version}-%{release}
 
+Obsoletes:      fedora-release-cosmic-atomic < 1:%{version}-%{release}
+Provides:       fedora-release-cosmic-atomic = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-cosmic-atomic if nothing else is already doing so.
@@ -1521,6 +1699,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-cosmic-atomic = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-cosmic-atomic < 1:%{version}-%{release}
+Provides:       fedora-release-identity-cosmic-atomic = 1:%{version}-%{release}
+
 
 %description identity-cosmic-atomic
 Provides the necessary files for a Fedora Asahi Remix installation that is identifying
@@ -1538,6 +1719,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-wsl < 1:%{version}-%{release}
+Provides:       fedora-release-wsl = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-wsl if nothing else is already doing so.
@@ -1557,6 +1741,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-container = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-wsl < 1:%{version}-%{release}
+Provides:       fedora-release-identity-wsl = 1:%{version}-%{release}
+
 
 %description identity-wsl
 Provides the necessary files for a Fedora Asahi Remix installation that is identifying

